"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _validationError = _interopRequireDefault(require("./../validationError"));

var _default = (value, params) => {
  if (!value) return;
  value = value + "";

  if (parseFloat(value) <= parseFloat(params[0])) {
    return;
  }

  throw new _validationError.default("Value needs to be less than or equal to " + params[0] + ".");
};

exports.default = _default;
//# sourceMappingURL=lte.js.map