"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _validationError = _interopRequireDefault(require("./../validationError"));

var _default = value => {
  if (!value) return;
  value = value + "";

  if (value.match(/^[-+0-9()/\s]+$/)) {
    return;
  }

  throw new _validationError.default("Value must be a valid phone number.");
};

exports.default = _default;
//# sourceMappingURL=phone.js.map