"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isInteger2 = _interopRequireDefault(require("lodash/isInteger"));

var _validationError = _interopRequireDefault(require("./../validationError"));

var _default = value => {
  if (!value) return;

  if ((0, _isInteger2.default)(value)) {
    return;
  }

  throw new _validationError.default("Value needs to be an integer.");
};

exports.default = _default;
//# sourceMappingURL=integer.js.map