"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _validationError = _interopRequireDefault(require("./../validationError"));

var _default = value => {
  if (!value) return;

  try {
    JSON.parse(value);
  } catch (e) {
    throw new _validationError.default("Value needs to be a valid JSON.");
  }
};

exports.default = _default;
//# sourceMappingURL=json.js.map