"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isString2 = _interopRequireDefault(require("lodash/isString"));

var _keys2 = _interopRequireDefault(require("lodash/keys"));

var _isObject2 = _interopRequireDefault(require("lodash/isObject"));

var _has2 = _interopRequireDefault(require("lodash/has"));

var _validationError = _interopRequireDefault(require("./../validationError"));

var _default = (value, params) => {
  if (!value) return;
  let lengthOfValue = null;

  if ((0, _has2.default)(value, "length")) {
    lengthOfValue = value.length;
  } else if ((0, _isObject2.default)(value)) {
    lengthOfValue = (0, _keys2.default)(value).length;
  }

  if (lengthOfValue === null || lengthOfValue <= params[0]) {
    return;
  }

  if ((0, _isString2.default)(value)) {
    throw new _validationError.default("Value requires " + params[0] + " characters at most.");
  }

  throw new _validationError.default("Value requires " + params[0] + " items at most.");
};

exports.default = _default;
//# sourceMappingURL=maxLength.js.map