"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isNumber2 = _interopRequireDefault(require("lodash/isNumber"));

var _isNaN2 = _interopRequireDefault(require("lodash/isNaN"));

var _validationError = _interopRequireDefault(require("./../validationError"));

/**
 * @function number
 * @description This validator checks of the given value is a number
 * @param {any} value
 * @return {boolean}
 */
var _default = value => {
  if (!value && !(0, _isNaN2.default)(value)) return;

  if ((0, _isNumber2.default)(value) && !(0, _isNaN2.default)(value)) {
    return;
  }

  throw new _validationError.default("Value needs to be a number.");
};

exports.default = _default;
//# sourceMappingURL=number.js.map