"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _validationError = _interopRequireDefault(require("./../validationError"));

var _default = (value, params = []) => {
  if (!value) return;
  value = value + "";
  const length = params[0] || 6;
  const test = value.match(new RegExp(`^.{${length},}$`));

  if (test === null) {
    throw new _validationError.default(`Password must contain at least ${length} characters`);
  }
};

exports.default = _default;
//# sourceMappingURL=password.js.map